aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/omap24xx/base-files/etc/init.d/watchdog
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/omap24xx/base-files/etc/init.d/watchdog')
-rwxr-xr-xtarget/linux/omap24xx/base-files/etc/init.d/watchdog15
1 files changed, 15 insertions, 0 deletions
diff --git a/target/linux/omap24xx/base-files/etc/init.d/watchdog b/target/linux/omap24xx/base-files/etc/init.d/watchdog
new file mode 100755
index 0000000000..fa5dc4365a
--- /dev/null
+++ b/target/linux/omap24xx/base-files/etc/init.d/watchdog
@@ -0,0 +1,15 @@
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2008-2010 OpenWrt.org
+
+START=97
+start() {
+ if ! [ -c /dev/watchdog -a -x /sbin/watchdog ]; then
+ echo "WARNING: Watchdog not available. System will reboot soon!"
+ else
+ /sbin/watchdog -T 63 -t 53 /dev/watchdog
+ fi
+}
+
+stop() {
+ killall -q watchdog
+}